Browse Source

Create a Release Notes help handbook module, create a Release Notes link

in the Welcome to TDE handbook, and provide a run-once autostart mechanism.
tags/r14.0.0
Darrell Anderson 5 years ago
parent
commit
32f7a85c9d

+ 1
- 1
CMakeLists.txt View File

@@ -272,7 +272,7 @@ tde_conditional_add_subdirectory( BUILD_TQT3INTEGRATION tqt3integration )
272 272
 
273 273
 if( BUILD_STARTTDE )
274 274
   install( PROGRAMS starttde DESTINATION ${BIN_INSTALL_DIR} )
275
-  install( PROGRAMS migratekde3 r14-xdg-update DESTINATION ${BIN_INSTALL_DIR} )
275
+  install( PROGRAMS migratekde3 r14-xdg-update release_notes DESTINATION ${BIN_INSTALL_DIR} )
276 276
 endif()
277 277
 
278 278
 

+ 1
- 1
Makefile.am.in View File

@@ -9,7 +9,7 @@ COMPILE_AFTER_kcontrol = tdm kdesktop
9 9
 
10 10
 AUTOMAKE_OPTIONS = foreign 1.6.1
11 11
 
12
-bin_SCRIPTS = starttde trinity migratekde3 r14-xdg-update
12
+bin_SCRIPTS = starttde trinity migratekde3 r14-xdg-update release_notes
13 13
 
14 14
 EXTRA_DIST = admin bsd-port debian tdebase.spec.in README.pam kde.pamd tdescreensaver.pamd mkpamserv
15 15
 

+ 3
- 3
doc/khelpcenter/index.docbook View File

@@ -13,9 +13,9 @@
13 13
   <!ENTITY kcontrolcenter SYSTEM "../kcontrol/index.html" NDATA SGML>
14 14
   <!ENTITY kfm SYSTEM "../konqueror/index.html" NDATA SGML>
15 15
   <!ENTITY kwm SYSTEM "../kwm/index.html" NDATA SGML>
16
-  <!ENTITY kde-quickstart-doc SYSTEM "quickstart/index.docbook" NDATA SGML>
17
-  <!ENTITY kde-userguide-doc SYSTEM "userguide/index.docbook" NDATA SGML>
18
-  <!ENTITY kde-faq-doc SYSTEM "faq/index.docbook" NDATA SGML>
16
+  <!ENTITY tde-quickstart-doc SYSTEM "quickstart/index.docbook" NDATA SGML>
17
+  <!ENTITY tde-userguide-doc SYSTEM "userguide/index.docbook" NDATA SGML>
18
+  <!ENTITY tde-faq-doc SYSTEM "faq/index.docbook" NDATA SGML>
19 19
   <!-- HTML files will probably only work when they have an olink equivalent
20 20
 available, unless only references to the top page are needed, which is doubtful.
21 21
 

+ 2
- 0
doc/khelpcenter/welcome.docbook View File

@@ -16,6 +16,8 @@ Trinity Desktop Environment combines ease of use, contemporary functionality, an
16 16
 professional graphical design along with the technical advantages of
17 17
 &UNIX; operating systems.</para>
18 18
 
19
+<para><ulink url="help:/khelpcenter/releasenotes">&tde; Release Notes</ulink></para>
20
+
19 21
 <para><link linkend="help">TDE Help System User Manual</link></para>
20 22
 
21 23
 <para><link linkend="what-is-tde">What is the Trinity Desktop Environment?</link></para>

+ 11
- 0
doc/releasenotes/CMakeLists.txt View File

@@ -0,0 +1,11 @@
1
+#################################################
2
+#
3
+#  Improvements and feedback are welcome
4
+#
5
+#  This file is released under GPL >= 2
6
+#
7
+#################################################
8
+
9
+tde_create_handbook( DESTINATION khelpcenter/releasenotes )
10
+
11
+install( FILES release_notes.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )

+ 6
- 0
doc/releasenotes/Makefile.am View File

@@ -0,0 +1,6 @@
1
+KDE_LANG = en
2
+KDE_DOCS = khelpcenter/releasenotes
3
+
4
+autostart_DATA = release_notes.desktop
5
+autostartdir = $(datadir)/autostart
6
+

+ 9
- 0
doc/releasenotes/README View File

@@ -0,0 +1,9 @@
1
+To update the Release Notes in the help handbook:
2
+
3
+* For archival purposes, copy index.docbook to index-Rxx.yy.zz.docbook,
4
+  where Rxx.yy.zz is the previous release version. For example.
5
+  index-R14.0.0.docbook.
6
+
7
+* Edit index.docbook as necessary for the next release. For example, R14.0.1.
8
+
9
+No changes or updates are needed in ./release_notes.desktop or ../../release_notes.

+ 834
- 0
doc/releasenotes/index-R14.0.0.docbook View File

@@ -0,0 +1,834 @@
1
+<?xml version="1.0" ?>
2
+<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
3
+  <!ENTITY kappname "&tde; Release Notes">
4
+  <!ENTITY package "tdebase">
5
+  <!ENTITY % addindex "IGNORE">
6
+  <!ENTITY % English "INCLUDE" > <!-- change language only here -->
7
+]>
8
+
9
+<book lang="&language;">
10
+<bookinfo>
11
+
12
+<title>&tde-release-version; Release Notes</title>
13
+
14
+<authorgroup>
15
+
16
+<author>
17
+<surname>The &tde; Team</surname>
18
+</author>
19
+<!-- TRANS:ROLES_OF_TRANSLATORS -->
20
+</authorgroup>
21
+
22
+<date>&tde-release-date;</date>
23
+<releaseinfo>&tde-release-version;</releaseinfo>
24
+
25
+<copyright>
26
+<year>&tde-copyright-date;</year>
27
+<holder>The &tde; Team</holder>
28
+</copyright>
29
+
30
+<!-- <legalnotice>&FDLNotice;</legalnotice> -->
31
+
32
+<abstract>
33
+<para>&tde-release-version; Release Notes</para>
34
+</abstract>
35
+
36
+<keywordset>
37
+<keyword>TDE</keyword>
38
+<keyword>release notes</keyword>
39
+</keywordset>
40
+</bookinfo>
41
+
42
+<chapter id="current-release-notes-introduction">
43
+<title>Summary</title>
44
+
45
+<para>This  document contains important information for users, developers, and  packagers. This document is
46
+intended for people who are migrating from previous versions of Trinity. If you are a using Trinity for the
47
+first time, then you can ignore the contents of this document.</para>
48
+
49
+<para>The Trinity Desktop is a full software desktop environment designed for Unix-like operating systems,
50
+intended  for computer users preferring a traditional desktop model focusing primarily on retaining the overall
51
+KDE 3.5 user experience and efficiency. Trinity is free/libre software.</para>
52
+
53
+<para>First, thank you to the many people who contributed to all of these improvements. Many people played a
54
+role, including bug fixing, enhancements, testing, etc.</para>
55
+
56
+<para>Many changes were made to Trinity after the release of 3.5.13.</para>
57
+
58
+<para>An obvious change is the version scheme. Trinity evolved from the last KDE 3.5 release, 3.5.10. Subsequent
59
+Trinity releases followed that numbering scheme. Release R14.0.0 marks a turning point in Trinity history
60
+because a great deal of the code infrastructure was changed. While those changes do not effect the usability or
61
+look-and-feel of the desktop that users enjoy, Trinity developers believe a change in the version scheme
62
+distinguishes when those changes occurred. An original project goal by users was to retain the flavor of the
63
+original KDE 3.5 desktop. That goal remains intact. To reflect that original goal, the last number in the
64
+original version scheme is retained in the new version scheme but is now the primary version number. While the
65
+infrastructure has changed, the desktop itself remains the same as the original KDE 3.5. This new version scheme
66
+indicates a modest divergence from the original KDE 3.5 series and that Trinity is now its own desktop
67
+environment. The new version scheme reminds users that Trinity retains the original KDE 3.5 design, but is
68
+moving forward as a separate desktop project.</para>
69
+
70
+<para>Notable changes include renaming and rebranding efforts to avoid conflicts with KDE4. Both Trinity and
71
+KDE4 have roots in KDE3. These changes focus on promoting a peaceful coexistence between the two desktop
72
+environments when both are installed concurrently on the same system as well as avoid possible trademark
73
+issues.</para>
74
+
75
+<para>Renaming and rebranding efforts include:</para>
76
+
77
+<itemizedlist>
78
+
79
+<listitem><para>
80
+Libraries
81
+</para></listitem>
82
+
83
+<listitem><para>
84
+Classes
85
+</para></listitem>
86
+
87
+<listitem><para>
88
+Environment variables and config file locations
89
+</para></listitem>
90
+
91
+<listitem><para>
92
+Package names
93
+</para></listitem>
94
+
95
+<listitem><para>
96
+Application names
97
+</para></listitem>
98
+
99
+</itemizedlist>
100
+
101
+<para>A change log is available at the Trinity wiki:
102
+<ulink url="http://www.trinitydesktop.org/wiki/bin/view/Documentation/Releases_R14_0_0">Change log</ulink></para>
103
+
104
+<para>An exhaustive list of renaming changes is available at the end of this document.</para>
105
+
106
+</chapter>
107
+
108
+<chapter id="current-release-notes-project-changes">
109
+<title>Project Changes</title>
110
+
111
+<itemizedlist>
112
+
113
+<listitem><para>
114
+Migrated from SVN to GIT.
115
+</para></listitem>
116
+<listitem><para>
117
+Began migrating from automake to cmake.
118
+</para></listitem>
119
+<listitem><para>
120
+Added support for ARM architectures.
121
+</para></listitem>
122
+<listitem><para>
123
+Continuing efforts to improve XDG compliance.
124
+</para></listitem>
125
+<listitem><para>
126
+Continuing efforts to update documentation.
127
+</para></listitem>
128
+<listitem><para>
129
+Continuing efforts to update locale and translation files.
130
+</para></listitem>
131
+
132
+</itemizedlist>
133
+
134
+</chapter>
135
+
136
+<chapter id="current-release-notes-usability-changes">
137
+<title>Usability Changes</title>
138
+
139
+<para>Because of the wide-scale renaming efforts, existing KDE3 and 3.5.13.x user profile directories will not
140
+function properly under R14.0.0. Don't worry.</para>
141
+
142
+<para>When logging into Trinity R14.0.0, the starttde script (nee startkde), performs profile checks to ensure
143
+settings and configurations are migrated correctly. These checks include preserving the original KDE3/3.5.13.x
144
+profile directory as-is while using those files as the basis to create the new R14.0.0 profile named
145
+$HOME/.trinity.</para>
146
+
147
+<para>The underlying migration checking has been tested, but because of the renaming and rebranding efforts,
148
+upstream packagers should test support scripts for problems and anomalies.</para>
149
+
150
+<para>There is another special script to help update profile directories. That script is
151
+/opt/trinity/bin/migratekde3. This script is intended for people using versions of Trinity prior to 3.5.13.
152
+Before starting R14.0.0 the first time, use this script to update any KDE3 profile directory. The definition of
153
+a KDE3 profile directory includes Trinity 3.5.11 and 3.5.12. The script will look for profile directory names
154
+of ~/.kde3, ~/.kdemod3, and ~/.kde. Because the latter directory name is also used in KDE4, several tests are
155
+performed to ensure the directory is a KDE3 profile and not KDE4.</para>
156
+
157
+<para>The renaming might cause certain shortcuts and menu links to stop functioning. The underlying migration
158
+checks performed when logging into R14.0.0 for the first time should find all of these differences, but fixing
159
+those that are missed is straightforward. All that is needed is knowing the new name of the command or
160
+application. For example, changing kdesu to tdesu, although that specific change is covered by the
161
+scripts.</para>
162
+
163
+<para>The Trinity launcher menu, tdemenu (nee kmenu), has been reorganized to reduce clutter. In addition to
164
+built-in XDG changes in *.desktop files, There are two methods available to manage KDE4 apps in the Trinity
165
+menu. One method includes a build-time configuration option in tdelibs, WITH_KDE4_MENU_SUFFIX, that adds a
166
+"[KDE4]" tag to KDE4 menu items. This tag helps identify apps of the same name. The default is OFF and requires
167
+a package rebuild to change. A second method includes a global menu replacement, tde-applications.menu-no-kde
168
+that explicitly excludes KDE4 apps from the menu. Using that special menu requires administrative privileges to
169
+update.</para>
170
+
171
+</chapter>
172
+
173
+<chapter id="current-release-notes-new-or-improved-features">
174
+<title>New or Improved Features</title>
175
+
176
+<itemizedlist>
177
+
178
+<listitem><para>
179
+Faster startup and logout
180
+</para></listitem>
181
+<listitem><para>
182
+Ability to force Kate into MDI mode all the time.
183
+</para></listitem>
184
+<listitem><para>
185
+Built-in hardware detection libraries and support to fully replace HAL.
186
+</para></listitem>
187
+<listitem><para>
188
+File copy window focus enhancement: focus is now on the file name edit line by default
189
+</para></listitem>
190
+<listitem><para>
191
+GUI support for controlling whether to display archives as folders.
192
+</para></listitem>
193
+<listitem><para>
194
+Improved Logout Status Dialog.
195
+</para></listitem>
196
+<listitem><para>
197
+Improved support for global and individual panels.
198
+</para></listitem>
199
+<listitem><para>
200
+Mac like window switching for apps.
201
+</para></listitem>
202
+<listitem><para>
203
+New Desktop Device Icons: My Computer, My Documents, My Network Places, Printers, Web Browser.
204
+</para></listitem>
205
+<listitem><para>
206
+Rearrangeable (draggable) items in the taskbar.
207
+</para></listitem>
208
+<listitem><para>
209
+Reduced TDE menu clutter and duplication.
210
+</para></listitem>
211
+<listitem><para>
212
+Icons only mode available for taskbar
213
+</para></listitem>
214
+<listitem><para>
215
+Accelerator key for Konsole main menu can be enabled when desired
216
+</para></listitem>
217
+<listitem><para>
218
+Possible to move to next/previous file in a Konqueror list view while renaming
219
+</para></listitem>
220
+<listitem><para>
221
+Kate taskbar: middle mouse click close selected document, if enabled
222
+</para></listitem>
223
+<listitem><para>
224
+The number of files in the Kate MRU (Most Recently Used) list is user-configurable.
225
+</para></listitem>
226
+<listitem><para>
227
+Added a progress bar to the logout status dialog.
228
+</para></listitem>
229
+<listitem><para>
230
+Added a mouse doubleclick test option in the control panel.
231
+</para></listitem>
232
+<listitem><para>
233
+Kate syntax highlighting files have been updated and the lookup moved to the TDE repository
234
+</para></listitem>
235
+
236
+</itemizedlist>
237
+
238
+</chapter>
239
+
240
+<chapter id="current-release-notes-new-packages">
241
+<title>New Packages</title>
242
+
243
+<itemizedlist>
244
+
245
+<listitem><para>
246
+GTK3/TQt Theme Engine
247
+</para></listitem>
248
+<listitem><para>
249
+KControl LDAP Manager
250
+</para></listitem>
251
+<listitem><para>
252
+KControl Autostart
253
+</para></listitem>
254
+<listitem><para>
255
+Kasablanca
256
+</para></listitem>
257
+<listitem><para>
258
+KBiff
259
+</para></listitem>
260
+<listitem><para>
261
+KBibTex
262
+</para></listitem>
263
+<listitem><para>
264
+KDbg
265
+</para></listitem>
266
+<listitem><para>
267
+KFTPGrabber
268
+</para></listitem>
269
+<listitem><para>
270
+KLCDDimmer
271
+</para></listitem>
272
+<listitem><para>
273
+KNmap
274
+</para></listitem>
275
+<listitem><para>
276
+KRecipes
277
+</para></listitem>
278
+<listitem><para>
279
+KScope
280
+</para></listitem>
281
+<listitem><para>
282
+KSensors
283
+</para></listitem>
284
+<listitem><para>
285
+KShowmail
286
+</para></listitem>
287
+<listitem><para>
288
+KShutdown
289
+</para></listitem>
290
+<listitem><para>
291
+LDAP/Kerberos Toolkit
292
+</para></listitem>
293
+<listitem><para>
294
+MPlayerthumbs
295
+</para></listitem>
296
+<listitem><para>
297
+Qt4/TQt Theme Engine
298
+</para></listitem>
299
+<listitem><para>
300
+tdeio-ftps
301
+</para></listitem>
302
+<listitem><para>
303
+tdeio-sword
304
+</para></listitem>
305
+<listitem><para>
306
+TorK
307
+</para></listitem>
308
+
309
+</itemizedlist>
310
+
311
+</chapter>
312
+
313
+<chapter id="current-release-notes-package-renaming">
314
+<title>Package Renaming</title>
315
+
316
+<itemizedlist>
317
+
318
+<listitem><para>
319
+kde-i18n -> tde-i18n
320
+</para></listitem>
321
+<listitem><para>
322
+kde-guidance -> tde-guidance
323
+</para></listitem>
324
+<listitem><para>
325
+kde-style-lipstik -> tde-style-lipstik
326
+</para></listitem>
327
+<listitem><para>
328
+kde-style-qtcurve -> tde-style-qtcurve
329
+</para></listitem>
330
+<listitem><para>
331
+kde-systemsettings -> tde-systemsettings
332
+</para></listitem>
333
+<listitem><para>
334
+kdeaccessibility -> tdeaccessibility
335
+</para></listitem>
336
+<listitem><para>
337
+kdeaddons -> tdeaddons
338
+</para></listitem>
339
+<listitem><para>
340
+kdeadmin -> tdeadmin
341
+</para></listitem>
342
+<listitem><para>
343
+kdeartwork -> tdeartwork
344
+</para></listitem>
345
+<listitem><para>
346
+kdebase -> tdebase
347
+</para></listitem>
348
+<listitem><para>
349
+kdebindings -> tdebindings
350
+</para></listitem>
351
+<listitem><para>
352
+kdeedu -> tdeedu
353
+</para></listitem>
354
+<listitem><para>
355
+kdegames -> tdegames
356
+</para></listitem>
357
+<listitem><para>
358
+kdegraphics -> tdegraphics
359
+</para></listitem>
360
+<listitem><para>
361
+kdelibs -> tdelibs
362
+</para></listitem>
363
+<listitem><para>
364
+kdemultimedia -> tdemultimedia
365
+</para></listitem>
366
+<listitem><para>
367
+kdenetwork -> tdenetwork
368
+</para></listitem>
369
+<listitem><para>
370
+kdenetworkmanager -> tdenetworkmanager
371
+</para></listitem>
372
+<listitem><para>
373
+kdepim -> tdepim
374
+</para></listitem>
375
+<listitem><para>
376
+kdepowersave -> tdepowersave
377
+</para></listitem>
378
+<listitem><para>
379
+kdesdk -> tdesdk
380
+</para></listitem>
381
+<listitem><para>
382
+kdesudo -> tdesudo
383
+</para></listitem>
384
+<listitem><para>
385
+kdesvn -> tdesvn
386
+</para></listitem>
387
+<listitem><para>
388
+kdetoys -> tdetoys
389
+</para></listitem>
390
+<listitem><para>
391
+kdeutils -> tdeutils
392
+</para></listitem>
393
+<listitem><para>
394
+kdevelop -> tdevelop
395
+</para></listitem>
396
+<listitem><para>
397
+kdewebdev -> tdewebdev
398
+</para></listitem>
399
+<listitem><para>
400
+kdmtheme -> tdmtheme
401
+</para></listitem>
402
+<listitem><para>
403
+kio-apt -> tdeio-apt
404
+</para></listitem>
405
+<listitem><para>
406
+kio-locate -> tdeio-locate
407
+</para></listitem>
408
+<listitem><para>
409
+kio-umountwrapper -> tdeio-umountwrapper
410
+</para></listitem>
411
+<listitem><para>
412
+kradio -> tderadio
413
+</para></listitem>
414
+<listitem><para>
415
+kwin-style-crystal -> twin-style-crystal
416
+</para></listitem>
417
+<listitem><para>
418
+pykde -> pytde
419
+</para></listitem>
420
+<listitem><para>
421
+qca -> tqca
422
+</para></listitem>
423
+<listitem><para>
424
+qca-tls -> tqca-tls
425
+</para></listitem>
426
+
427
+</itemizedlist>
428
+
429
+</chapter>
430
+
431
+<chapter id="current-release-notes-application-and-file-renaming">
432
+<title>Application and File Renaming</title>
433
+
434
+<itemizedlist>
435
+
436
+<listitem><para>
437
+applications-kmenuedit.menu -> applications-tdemenuedit.menu
438
+</para></listitem>
439
+<listitem><para>
440
+.kderc -> .tderc
441
+</para></listitem>
442
+<listitem><para>
443
+kab2kabc -> tdeab2tdeabc
444
+</para></listitem>
445
+<listitem><para>
446
+kcache -> tdecache
447
+</para></listitem>
448
+<listitem><para>
449
+kconf_update -> tdeconf_update
450
+</para></listitem>
451
+<listitem><para>
452
+kde-$USER -> tde-$USER
453
+</para></listitem>
454
+<listitem><para>
455
+kde-config -> tde-config
456
+</para></listitem>
457
+<listitem><para>
458
+kdeprint -> tdeprint
459
+</para></listitem>
460
+<listitem><para>
461
+kdesu -> tdesu
462
+</para></listitem>
463
+<listitem><para>
464
+kdesudo -> tdesudo
465
+</para></listitem>
466
+<listitem><para>
467
+kdevelop -> tdevelop
468
+</para></listitem>
469
+<listitem><para>
470
+kdm -> tdm
471
+</para></listitem>
472
+<listitem><para>
473
+kdmtheme -> tdmtheme
474
+</para></listitem>
475
+<listitem><para>
476
+kfile -> tdefile
477
+</para></listitem>
478
+<listitem><para>
479
+khtml -> tdehtml
480
+</para></listitem>
481
+<listitem><para>
482
+kio_apt -> tdeio_apt
483
+</para></listitem>
484
+<listitem><para>
485
+kio_camera -> tdeio_camera
486
+</para></listitem>
487
+<listitem><para>
488
+kio_ftp -> tdeio_ftp
489
+</para></listitem>
490
+<listitem><para>
491
+kio_http -> tdeio_http
492
+</para></listitem>
493
+<listitem><para>
494
+kio_locate -> tdeio_locate
495
+</para></listitem>
496
+<listitem><para>
497
+kio_thumbnail -> tdeio_thumbnail
498
+</para></listitem>
499
+<listitem><para>
500
+kioslave -> tdeioslave
501
+</para></listitem>
502
+<listitem><para>
503
+klaunch -> tdelaunch
504
+</para></listitem>
505
+<listitem><para>
506
+kmenu -> tdemenu
507
+</para></listitem>
508
+<listitem><para>
509
+knetworkmanager -> tdenetworkmanager
510
+</para></listitem>
511
+<listitem><para>
512
+kpowersave -> tdepowersave
513
+</para></listitem>
514
+<listitem><para>
515
+kradio -> tderadio
516
+</para></listitem>
517
+<listitem><para>
518
+krandrtray -> tderandrtray
519
+</para></listitem>
520
+<listitem><para>
521
+kresources -> tderesources
522
+</para></listitem>
523
+<listitem><para>
524
+krita -> chalk
525
+</para></listitem>
526
+<listitem><para>
527
+ksocket -> tdesocket
528
+</para></listitem>
529
+<listitem><para>
530
+kstyle -> tdestyle
531
+</para></listitem>
532
+<listitem><para>
533
+kwallet -> tdewallet
534
+</para></listitem>
535
+<listitem><para>
536
+kwin -> twin
537
+</para></listitem>
538
+<listitem><para>
539
+kwin4 -> twin4
540
+</para></listitem>
541
+<listitem><para>
542
+startkde -> starttde
543
+</para></listitem>
544
+
545
+</itemizedlist>
546
+
547
+</chapter>
548
+
549
+<chapter id="current-release-notes-environment-variable-renaming">
550
+<title>Environment Variable Renaming</title>
551
+
552
+<itemizedlist>
553
+
554
+<listitem><para>
555
+KDEBINDIR -> TDEBINDIR
556
+</para></listitem>
557
+<listitem><para>
558
+KDEDIR -> TDEDIR
559
+</para></listitem>
560
+<listitem><para>
561
+KDEDIRS -> TDEDIRS
562
+</para></listitem>
563
+<listitem><para>
564
+KDEHOME -> TDEDEHOME
565
+</para></listitem>
566
+<listitem><para>
567
+KDEROOTHOME -> TDEROOTHOME
568
+</para></listitem>
569
+<listitem><para>
570
+KDESRCDIR -> TDESRCDIR
571
+</para></listitem>
572
+<listitem><para>
573
+KDESU_USER -> TDESU_USER
574
+</para></listitem>
575
+<listitem><para>
576
+KDESYCOCA -> TDESYCOCA
577
+</para></listitem>
578
+<listitem><para>
579
+KDETMP -> TDETMP
580
+</para></listitem>
581
+<listitem><para>
582
+KDEVARTMP -> TDEVARTMP
583
+</para></listitem>
584
+<listitem><para>
585
+KDEWM -> TDEWM
586
+</para></listitem>
587
+<listitem><para>
588
+KDE_FORK_SLAVES -> TDE_FORK_SLAVES
589
+</para></listitem>
590
+<listitem><para>
591
+KDE_FULL_SESSION -> TDE_FULL_SESSION
592
+</para></listitem>
593
+<listitem><para>
594
+KDE_KIOSK_NO_PROFILES -> TDE_KIOSK_NO_PROFILES
595
+</para></listitem>
596
+<listitem><para>
597
+KDE_KIOSK_NO_RESTRICTIONS -> TDE_KIOSK_NO_RESTRICTIONS
598
+</para></listitem>
599
+<listitem><para>
600
+KDE_LANG -> TDE_LANG
601
+</para></listitem>
602
+<listitem><para>
603
+KDE_MAKE_VERSION -> TDE_MAKE_VERSION
604
+</para></listitem>
605
+<listitem><para>
606
+KDE_MALLOC -> TDE_MALLOC
607
+</para></listitem>
608
+<listitem><para>
609
+KDE_MULTIHEAD -> TDE_MULTIHEAD
610
+</para></listitem>
611
+<listitem><para>
612
+KDE_NO_IPV6 -> TDE_NO_IPV6
613
+</para></listitem>
614
+<listitem><para>
615
+KDE_SESSION_UID -> TDE_SESSION_UID
616
+</para></listitem>
617
+<listitem><para>
618
+KDE_UTF8_FILENAMES -> TDE_UTF8_FILENAMES
619
+</para></listitem>
620
+<listitem><para>
621
+KDE_VERSION -> TDE_VERSION
622
+</para></listitem>
623
+
624
+</itemizedlist>
625
+
626
+</chapter>
627
+
628
+<chapter id="current-release-notes-class-and-library-renaming">
629
+<title>Class and Library Renaming</title>
630
+
631
+<itemizedlist>
632
+
633
+<listitem><para>
634
+KABC -> TDEABC
635
+</para></listitem>
636
+<listitem><para>
637
+KAbout -> TDEAbout
638
+</para></listitem>
639
+<listitem><para>
640
+KAboutData -> TDEAboutData
641
+</para></listitem>
642
+<listitem><para>
643
+KApplication -> TDEApplication
644
+</para></listitem>
645
+<listitem><para>
646
+KBuffer -> TDEBuffer
647
+</para></listitem>
648
+<listitem><para>
649
+KClipboard -> TDEClipboard
650
+</para></listitem>
651
+<listitem><para>
652
+KCModule -> TDECModule
653
+</para></listitem>
654
+<listitem><para>
655
+KComp -> TDEComp
656
+</para></listitem>
657
+<listitem><para>
658
+KConfig -> TDEConfig
659
+</para></listitem>
660
+<listitem><para>
661
+KCmd -> TDECmd
662
+</para></listitem>
663
+<listitem><para>
664
+KCmdLineArgs -> TDECmdLineArgs
665
+</para></listitem>
666
+<listitem><para>
667
+KGlobal -> TDEGlobal
668
+</para></listitem>
669
+<listitem><para>
670
+KIcon -> TDEIcon
671
+</para></listitem>
672
+<listitem><para>
673
+KInstance -> TDEInstance
674
+</para></listitem>
675
+<listitem><para>
676
+KIO -> TDEIO
677
+</para></listitem>
678
+<listitem><para>
679
+KIO_EXPORT -> TDEIO_EXPORT
680
+</para></listitem>
681
+<listitem><para>
682
+KIOBuffer -> TDEIOBuffer
683
+</para></listitem>
684
+<listitem><para>
685
+KIOConfig -> TDEIOConfig
686
+</para></listitem>
687
+<listitem><para>
688
+KIOInput -> TDEIOInput
689
+</para></listitem>
690
+<listitem><para>
691
+KIOJob -> TDEIOJob
692
+</para></listitem>
693
+<listitem><para>
694
+KListBox -> TDEListBox
695
+</para></listitem>
696
+<listitem><para>
697
+KListView -> TDEListView
698
+</para></listitem>
699
+<listitem><para>
700
+KListViewItem -> TDEListViewItem
701
+</para></listitem>
702
+<listitem><para>
703
+KLocale -> TDELocale
704
+</para></listitem>
705
+<listitem><para>
706
+KLock -> TDELock
707
+</para></listitem>
708
+<listitem><para>
709
+KPopupMenu -> TDEPopupMenu
710
+</para></listitem>
711
+<listitem><para>
712
+KProcess -> TDEProcess
713
+</para></listitem>
714
+<listitem><para>
715
+KServer -> TDEServer
716
+</para></listitem>
717
+<listitem><para>
718
+KShared -> TDEShared
719
+</para></listitem>
720
+<listitem><para>
721
+KSocket -> TDESocket
722
+</para></listitem>
723
+<listitem><para>
724
+KStandardDirs -> TDEStandardDirs
725
+</para></listitem>
726
+<listitem><para>
727
+KStartupInfo -> TDEStartupInfo
728
+</para></listitem>
729
+<listitem><para>
730
+KStyle -> TDEStyle
731
+</para></listitem>
732
+<listitem><para>
733
+KTrader -> TDETrader
734
+</para></listitem>
735
+<listitem><para>
736
+KZone -> TDEZone
737
+</para></listitem>
738
+<listitem><para>
739
+kdefx -> tdefx
740
+</para></listitem>
741
+<listitem><para>
742
+kdeinit -> tdeinit
743
+</para></listitem>
744
+<listitem><para>
745
+kiobuffer -> tdeiobuffer
746
+</para></listitem>
747
+<listitem><para>
748
+kioslave -> tdeioslave
749
+</para></listitem>
750
+<listitem><para>
751
+kwin -> twin
752
+</para></listitem>
753
+<listitem><para>
754
+libkdecorations -> libtdecorations
755
+</para></listitem>
756
+<listitem><para>
757
+libkdecore -> libtdecore
758
+</para></listitem>
759
+<listitem><para>
760
+libkdefakes -> libtdefakes
761
+</para></listitem>
762
+<listitem><para>
763
+libkdepim -> libtdepim
764
+</para></listitem>
765
+<listitem><para>
766
+libkdeprint -> libtdeprint
767
+</para></listitem>
768
+<listitem><para>
769
+libkdesu -> libtdesu
770
+</para></listitem>
771
+<listitem><para>
772
+libkdeui -> libtdeui
773
+</para></listitem>
774
+<listitem><para>
775
+lkabc -> ltdeabc
776
+</para></listitem>
777
+<listitem><para>
778
+lkdnssd -> ltdednssd
779
+</para></listitem>
780
+<listitem><para>
781
+lkfile -> ltdefile
782
+</para></listitem>
783
+<listitem><para>
784
+lkhtml -> ltdehtml
785
+</para></listitem>
786
+<listitem><para>
787
+lkio -> ltdeio
788
+</para></listitem>
789
+<listitem><para>
790
+lkimproxy -> ltdeimproxy
791
+</para></listitem>
792
+<listitem><para>
793
+libkio -> libtdeio
794
+</para></listitem>
795
+<listitem><para>
796
+lknewstuff -> ltdenewstuff
797
+</para></listitem>
798
+<listitem><para>
799
+lkparts -> ltdeparts
800
+</para></listitem>
801
+<listitem><para>
802
+lkspell -> ltdespell
803
+</para></listitem>
804
+<listitem><para>
805
+lkunittest -> ltdeunittest
806
+</para></listitem>
807
+<listitem><para>
808
+lkutils -> ltdeutils
809
+</para></listitem>
810
+<listitem><para>
811
+makekdewidgets -> maketdewidgets
812
+</para></listitem>
813
+
814
+</itemizedlist>
815
+
816
+</chapter>
817
+
818
+<chapter id="current-release-notes-thank-you">
819
+<title>Thank You!</title>
820
+
821
+<para>Thank you for using and supporting &tde;.</para>
822
+
823
+</chapter>
824
+
825
+</book>
826
+
827
+<!--
828
+Local Variables:
829
+mode: sgml
830
+sgml-omittag: nil
831
+sgml-shorttag: t
832
+End:
833
+-->
834
+

+ 834
- 0
doc/releasenotes/index.docbook View File

@@ -0,0 +1,834 @@
1
+<?xml version="1.0" ?>
2
+<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [
3
+  <!ENTITY kappname "&tde; Release Notes">
4
+  <!ENTITY package "tdebase">
5
+  <!ENTITY % addindex "IGNORE">
6
+  <!ENTITY % English "INCLUDE" > <!-- change language only here -->
7
+]>
8
+
9
+<book lang="&language;">
10
+<bookinfo>
11
+
12
+<title>&tde-release-version; Release Notes</title>
13
+
14
+<authorgroup>
15
+
16
+<author>
17
+<surname>The &tde; Team</surname>
18
+</author>
19
+<!-- TRANS:ROLES_OF_TRANSLATORS -->
20
+</authorgroup>
21
+
22
+<date>&tde-release-date;</date>
23
+<releaseinfo>&tde-release-version;</releaseinfo>
24
+
25
+<copyright>
26
+<year>&tde-copyright-date;</year>
27
+<holder>The &tde; Team</holder>
28
+</copyright>
29
+
30
+<!-- <legalnotice>&FDLNotice;</legalnotice> -->
31
+
32
+<abstract>
33
+<para>&tde-release-version; Release Notes</para>
34
+</abstract>
35
+
36
+<keywordset>
37
+<keyword>TDE</keyword>
38
+<keyword>release notes</keyword>
39
+</keywordset>
40
+</bookinfo>
41
+
42
+<chapter id="current-release-notes-introduction">
43
+<title>Summary</title>
44
+
45
+<para>This  document contains important information for users, developers, and  packagers. This document is
46
+intended for people who are migrating from previous versions of Trinity. If you are a using Trinity for the
47
+first time, then you can ignore the contents of this document.</para>
48
+
49
+<para>The Trinity Desktop is a full software desktop environment designed for Unix-like operating systems,
50
+intended  for computer users preferring a traditional desktop model focusing primarily on retaining the overall
51
+KDE 3.5 user experience and efficiency. Trinity is free/libre software.</para>
52
+
53
+<para>First, thank you to the many people who contributed to all of these improvements. Many people played a
54
+role, including bug fixing, enhancements, testing, etc.</para>
55
+
56
+<para>Many changes were made to Trinity after the release of 3.5.13.</para>
57
+
58
+<para>An obvious change is the version scheme. Trinity evolved from the last KDE 3.5 release, 3.5.10. Subsequent
59
+Trinity releases followed that numbering scheme. Release R14.0.0 marks a turning point in Trinity history
60
+because a great deal of the code infrastructure was changed. While those changes do not effect the usability or
61
+look-and-feel of the desktop that users enjoy, Trinity developers believe a change in the version scheme
62
+distinguishes when those changes occurred. An original project goal by users was to retain the flavor of the
63
+original KDE 3.5 desktop. That goal remains intact. To reflect that original goal, the last number in the
64
+original version scheme is retained in the new version scheme but is now the primary version number. While the
65
+infrastructure has changed, the desktop itself remains the same as the original KDE 3.5. This new version scheme
66
+indicates a modest divergence from the original KDE 3.5 series and that Trinity is now its own desktop
67
+environment. The new version scheme reminds users that Trinity retains the original KDE 3.5 design, but is
68
+moving forward as a separate desktop project.</para>
69
+
70
+<para>Notable changes include renaming and rebranding efforts to avoid conflicts with KDE4. Both Trinity and
71
+KDE4 have roots in KDE3. These changes focus on promoting a peaceful coexistence between the two desktop
72
+environments when both are installed concurrently on the same system as well as avoid possible trademark
73
+issues.</para>
74
+
75
+<para>Renaming and rebranding efforts include:</para>
76
+
77
+<itemizedlist>
78
+
79
+<listitem><para>
80
+Libraries
81
+</para></listitem>
82
+
83
+<listitem><para>
84
+Classes
85
+</para></listitem>
86
+
87
+<listitem><para>
88
+Environment variables and config file locations
89
+</para></listitem>
90
+
91
+<listitem><para>
92
+Package names
93
+</para></listitem>
94
+
95
+<listitem><para>
96
+Application names
97
+</para></listitem>
98
+
99
+</itemizedlist>
100
+
101
+<para>A change log is available at the Trinity wiki:
102
+<ulink url="http://www.trinitydesktop.org/wiki/bin/view/Documentation/Releases_R14_0_0">Change log</ulink></para>
103
+
104
+<para>An exhaustive list of renaming changes is available at the end of this document.</para>
105
+
106
+</chapter>
107
+
108
+<chapter id="current-release-notes-project-changes">
109
+<title>Project Changes</title>
110
+
111
+<itemizedlist>
112
+
113
+<listitem><para>
114
+Migrated from SVN to GIT.
115
+</para></listitem>
116
+<listitem><para>
117
+Began migrating from automake to cmake.
118
+</para></listitem>
119
+<listitem><para>
120
+Added support for ARM architectures.
121
+</para></listitem>
122
+<listitem><para>
123
+Continuing efforts to improve XDG compliance.
124
+</para></listitem>
125
+<listitem><para>
126
+Continuing efforts to update documentation.
127
+</para></listitem>
128
+<listitem><para>
129
+Continuing efforts to update locale and translation files.
130
+</para></listitem>
131
+
132
+</itemizedlist>
133
+
134
+</chapter>
135
+
136
+<chapter id="current-release-notes-usability-changes">
137
+<title>Usability Changes</title>
138
+
139
+<para>Because of the wide-scale renaming efforts, existing KDE3 and 3.5.13.x user profile directories will not
140
+function properly under R14.0.0. Don't worry.</para>
141
+
142
+<para>When logging into Trinity R14.0.0, the starttde script (nee startkde), performs profile checks to ensure
143
+settings and configurations are migrated correctly. These checks include preserving the original KDE3/3.5.13.x
144
+profile directory as-is while using those files as the basis to create the new R14.0.0 profile named
145
+$HOME/.trinity.</para>
146
+
147
+<para>The underlying migration checking has been tested, but because of the renaming and rebranding efforts,
148
+upstream packagers should test support scripts for problems and anomalies.</para>
149
+
150
+<para>There is another special script to help update profile directories. That script is
151
+/opt/trinity/bin/migratekde3. This script is intended for people using versions of Trinity prior to 3.5.13.
152
+Before starting R14.0.0 the first time, use this script to update any KDE3 profile directory. The definition of
153
+a KDE3 profile directory includes Trinity 3.5.11 and 3.5.12. The script will look for profile directory names
154
+of ~/.kde3, ~/.kdemod3, and ~/.kde. Because the latter directory name is also used in KDE4, several tests are
155
+performed to ensure the directory is a KDE3 profile and not KDE4.</para>
156
+
157
+<para>The renaming might cause certain shortcuts and menu links to stop functioning. The underlying migration
158
+checks performed when logging into R14.0.0 for the first time should find all of these differences, but fixing
159
+those that are missed is straightforward. All that is needed is knowing the new name of the command or
160
+application. For example, changing kdesu to tdesu, although that specific change is covered by the
161
+scripts.</para>
162
+
163
+<para>The Trinity launcher menu, tdemenu (nee kmenu), has been reorganized to reduce clutter. In addition to
164
+built-in XDG changes in *.desktop files, There are two methods available to manage KDE4 apps in the Trinity
165
+menu. One method includes a build-time configuration option in tdelibs, WITH_KDE4_MENU_SUFFIX, that adds a
166
+"[KDE4]" tag to KDE4 menu items. This tag helps identify apps of the same name. The default is OFF and requires
167
+a package rebuild to change. A second method includes a global menu replacement, tde-applications.menu-no-kde
168
+that explicitly excludes KDE4 apps from the menu. Using that special menu requires administrative privileges to
169
+update.</para>
170
+
171
+</chapter>
172
+
173
+<chapter id="current-release-notes-new-or-improved-features">
174
+<title>New or Improved Features</title>
175
+
176
+<itemizedlist>
177
+
178
+<listitem><para>
179
+Faster startup and logout
180
+</para></listitem>
181
+<listitem><para>
182
+Ability to force Kate into MDI mode all the time.
183
+</para></listitem>
184
+<listitem><para>
185
+Built-in hardware detection libraries and support to fully replace HAL.
186
+</para></listitem>
187
+<listitem><para>
188
+File copy window focus enhancement: focus is now on the file name edit line by default
189
+</para></listitem>
190
+<listitem><para>
191
+GUI support for controlling whether to display archives as folders.
192
+</para></listitem>
193
+<listitem><para>
194
+Improved Logout Status Dialog.
195
+</para></listitem>
196
+<listitem><para>
197
+Improved support for global and individual panels.
198
+</para></listitem>
199
+<listitem><para>
200
+Mac like window switching for apps.
201
+</para></listitem>
202
+<listitem><para>
203
+New Desktop Device Icons: My Computer, My Documents, My Network Places, Printers, Web Browser.
204
+</para></listitem>
205
+<listitem><para>
206
+Rearrangeable (draggable) items in the taskbar.
207
+</para></listitem>
208
+<listitem><para>
209
+Reduced TDE menu clutter and duplication.
210
+</para></listitem>
211
+<listitem><para>
212
+Icons only mode available for taskbar
213
+</para></listitem>
214
+<listitem><para>
215
+Accelerator key for Konsole main menu can be enabled when desired
216
+</para></listitem>
217
+<listitem><para>
218
+Possible to move to next/previous file in a Konqueror list view while renaming
219
+</para></listitem>
220
+<listitem><para>
221
+Kate taskbar: middle mouse click close selected document, if enabled
222
+</para></listitem>
223
+<listitem><para>
224
+The number of files in the Kate MRU (Most Recently Used) list is user-configurable.
225
+</para></listitem>
226
+<listitem><para>
227
+Added a progress bar to the logout status dialog.
228
+</para></listitem>
229
+<listitem><para>
230
+Added a mouse doubleclick test option in the control panel.
231
+</para></listitem>
232
+<listitem><para>
233
+Kate syntax highlighting files have been updated and the lookup moved to the TDE repository
234
+</para></listitem>
235
+
236
+</itemizedlist>
237
+
238
+</chapter>
239
+
240
+<chapter id="current-release-notes-new-packages">
241
+<title>New Packages</title>
242
+
243
+<itemizedlist>
244
+
245
+<listitem><para>
246
+GTK3/TQt Theme Engine
247
+</para></listitem>
248
+<listitem><para>
249
+KControl LDAP Manager
250
+</para></listitem>
251
+<listitem><para>
252
+KControl Autostart
253
+</para></listitem>
254
+<listitem><para>
255
+Kasablanca
256
+</para></listitem>
257
+<listitem><para>
258
+KBiff
259
+</para></listitem>
260
+<listitem><para>
261
+KBibTex
262
+</para></listitem>
263
+<listitem><para>
264
+KDbg
265
+</para></listitem>
266
+<listitem><para>
267
+KFTPGrabber
268
+</para></listitem>
269
+<listitem><para>
270
+KLCDDimmer
271
+</para></listitem>
272
+<listitem><para>
273
+KNmap
274
+</para></listitem>
275
+<listitem><para>
276
+KRecipes
277
+</para></listitem>
278
+<listitem><para>
279
+KScope
280
+</para></listitem>
281
+<listitem><para>
282
+KSensors
283
+</para></listitem>
284
+<listitem><para>
285
+KShowmail
286
+</para></listitem>
287
+<listitem><para>
288
+KShutdown
289
+</para></listitem>
290
+<listitem><para>
291
+LDAP/Kerberos Toolkit
292
+</para></listitem>
293
+<listitem><para>
294
+MPlayerthumbs
295
+</para></listitem>
296
+<listitem><para>
297
+Qt4/TQt Theme Engine
298
+</para></listitem>
299
+<listitem><para>
300
+tdeio-ftps
301
+</para></listitem>
302
+<listitem><para>
303
+tdeio-sword
304
+</para></listitem>
305
+<listitem><para>
306
+TorK
307
+</para></listitem>
308
+
309
+</itemizedlist>
310
+
311
+</chapter>
312
+
313
+<chapter id="current-release-notes-package-renaming">
314
+<title>Package Renaming</title>
315
+
316
+<itemizedlist>
317
+
318
+<listitem><para>
319
+kde-i18n -> tde-i18n
320
+</para></listitem>
321
+<listitem><para>
322
+kde-guidance -> tde-guidance
323
+</para></listitem>
324
+<listitem><para>
325
+kde-style-lipstik -> tde-style-lipstik
326
+</para></listitem>
327
+<listitem><para>
328
+kde-style-qtcurve -> tde-style-qtcurve
329
+</para></listitem>
330
+<listitem><para>
331
+kde-systemsettings -> tde-systemsettings
332
+</para></listitem>
333
+<listitem><para>
334
+kdeaccessibility -> tdeaccessibility
335
+</para></listitem>
336
+<listitem><para>
337
+kdeaddons -> tdeaddons
338
+</para></listitem>
339
+<listitem><para>
340
+kdeadmin -> tdeadmin
341
+</para></listitem>
342
+<listitem><para>
343
+kdeartwork -> tdeartwork
344
+</para></listitem>
345
+<listitem><para>
346
+kdebase -> tdebase
347
+</para></listitem>
348
+<listitem><para>
349
+kdebindings -> tdebindings
350
+</para></listitem>
351
+<listitem><para>
352
+kdeedu -> tdeedu
353
+</para></listitem>
354
+<listitem><para>
355
+kdegames -> tdegames
356
+</para></listitem>
357
+<listitem><para>
358
+kdegraphics -> tdegraphics
359
+</para></listitem>
360
+<listitem><para>
361
+kdelibs -> tdelibs
362
+</para></listitem>
363
+<listitem><para>
364
+kdemultimedia -> tdemultimedia
365
+</para></listitem>
366
+<listitem><para>
367
+kdenetwork -> tdenetwork
368
+</para></listitem>
369
+<listitem><para>
370
+kdenetworkmanager -> tdenetworkmanager
371
+</para></listitem>
372
+<listitem><para>
373
+kdepim -> tdepim
374
+</para></listitem>
375
+<listitem><para>
376
+kdepowersave -> tdepowersave
377
+</para></listitem>
378
+<listitem><para>
379
+kdesdk -> tdesdk
380
+</para></listitem>
381
+<listitem><para>
382
+kdesudo -> tdesudo
383
+</para></listitem>
384
+<listitem><para>
385
+kdesvn -> tdesvn
386
+</para></listitem>
387
+<listitem><para>
388
+kdetoys -> tdetoys
389
+</para></listitem>
390
+<listitem><para>
391
+kdeutils -> tdeutils
392
+</para></listitem>
393
+<listitem><para>
394
+kdevelop -> tdevelop
395
+</para></listitem>
396
+<listitem><para>
397
+kdewebdev -> tdewebdev
398
+</para></listitem>
399
+<listitem><para>
400
+kdmtheme -> tdmtheme
401
+</para></listitem>
402
+<listitem><para>
403
+kio-apt -> tdeio-apt
404
+</para></listitem>
405
+<listitem><para>
406
+kio-locate -> tdeio-locate
407
+</para></listitem>
408
+<listitem><para>
409
+kio-umountwrapper -> tdeio-umountwrapper
410
+</para></listitem>
411
+<listitem><para>
412
+kradio -> tderadio
413
+</para></listitem>
414
+<listitem><para>
415
+kwin-style-crystal -> twin-style-crystal
416
+</para></listitem>
417
+<listitem><para>
418
+pykde -> pytde
419
+</para></listitem>
420
+<listitem><para>
421
+qca -> tqca
422
+</para></listitem>
423
+<listitem><para>
424
+qca-tls -> tqca-tls
425
+</para></listitem>
426
+
427
+</itemizedlist>
428
+
429
+</chapter>
430
+
431
+<chapter id="current-release-notes-application-and-file-renaming">
432
+<title>Application and File Renaming</title>
433
+
434
+<itemizedlist>
435
+
436
+<listitem><para>
437
+applications-kmenuedit.menu -> applications-tdemenuedit.menu
438
+</para></listitem>
439
+<listitem><para>
440
+.kderc -> .tderc
441
+</para></listitem>
442
+<listitem><para>
443
+kab2kabc -> tdeab2tdeabc
444
+</para></listitem>
445
+<listitem><para>
446
+kcache -> tdecache
447
+</para></listitem>
448
+<listitem><para>
449
+kconf_update -> tdeconf_update
450
+</para></listitem>
451
+<listitem><para>
452
+kde-$USER -> tde-$USER
453
+</para></listitem>
454
+<listitem><para>
455
+kde-config -> tde-config
456
+</para></listitem>
457
+<listitem><para>
458
+kdeprint -> tdeprint
459
+</para></listitem>
460
+<listitem><para>
461
+kdesu -> tdesu
462
+</para></listitem>
463
+<listitem><para>
464
+kdesudo -> tdesudo
465
+</para></listitem>
466
+<listitem><para>
467
+kdevelop -> tdevelop
468
+</para></listitem>
469
+<listitem><para>
470
+kdm -> tdm
471
+</para></listitem>
472
+<listitem><para>
473
+kdmtheme -> tdmtheme
474
+</para></listitem>
475
+<listitem><para>
476
+kfile -> tdefile
477
+</para></listitem>
478
+<listitem><para>
479
+khtml -> tdehtml
480
+</para></listitem>
481
+<listitem><para>
482
+kio_apt -> tdeio_apt
483
+</para></listitem>
484
+<listitem><para>
485
+kio_camera -> tdeio_camera
486
+</para></listitem>
487
+<listitem><para>
488
+kio_ftp -> tdeio_ftp
489
+</para></listitem>
490
+<listitem><para>
491
+kio_http -> tdeio_http
492
+</para></listitem>
493
+<listitem><para>
494
+kio_locate -> tdeio_locate
495
+</para></listitem>
496
+<listitem><para>
497
+kio_thumbnail -> tdeio_thumbnail
498
+</para></listitem>
499
+<listitem><para>
500
+kioslave -> tdeioslave
501
+</para></listitem>
502
+<listitem><para>
503
+klaunch -> tdelaunch
504
+</para></listitem>
505
+<listitem><para>
506
+kmenu -> tdemenu
507
+</para></listitem>
508
+<listitem><para>
509
+knetworkmanager -> tdenetworkmanager
510
+</para></listitem>
511
+<listitem><para>
512
+kpowersave -> tdepowersave
513
+</para></listitem>
514
+<listitem><para>
515
+kradio -> tderadio
516
+</para></listitem>
517
+<listitem><para>
518
+krandrtray -> tderandrtray
519
+</para></listitem>
520
+<listitem><para>
521
+kresources -> tderesources
522
+</para></listitem>
523
+<listitem><para>
524
+krita -> chalk
525
+</para></listitem>
526
+<listitem><para>
527
+ksocket -> tdesocket
528
+</para></listitem>
529
+<listitem><para>
530
+kstyle -> tdestyle
531
+</para></listitem>
532
+<listitem><para>
533
+kwallet -> tdewallet
534
+</para></listitem>
535
+<listitem><para>
536
+kwin -> twin
537
+</para></listitem>
538
+<listitem><para>
539
+kwin4 -> twin4
540
+</para></listitem>
541
+<listitem><para>
542
+startkde -> starttde
543
+</para></listitem>
544
+
545
+</itemizedlist>
546
+
547
+</chapter>
548
+
549
+<chapter id="current-release-notes-environment-variable-renaming">
550
+<title>Environment Variable Renaming</title>
551
+
552
+<itemizedlist>
553
+
554
+<listitem><para>
555
+KDEBINDIR -> TDEBINDIR
556
+</para></listitem>
557
+<listitem><para>
558
+KDEDIR -> TDEDIR
559
+</para></listitem>
560
+<listitem><para>
561
+KDEDIRS -> TDEDIRS
562
+</para></listitem>
563
+<listitem><para>
564
+KDEHOME -> TDEDEHOME
565
+</para></listitem>
566
+<listitem><para>
567
+KDEROOTHOME -> TDEROOTHOME
568
+</para></listitem>
569
+<listitem><para>
570
+KDESRCDIR -> TDESRCDIR
571
+</para></listitem>
572
+<listitem><para>
573
+KDESU_USER -> TDESU_USER
574
+</para></listitem>
575
+<listitem><para>
576
+KDESYCOCA -> TDESYCOCA
577
+</para></listitem>
578
+<listitem><para>
579
+KDETMP -> TDETMP
580
+</para></listitem>
581
+<listitem><para>
582
+KDEVARTMP -> TDEVARTMP
583
+</para></listitem>
584
+<listitem><para>
585
+KDEWM -> TDEWM
586
+</para></listitem>
587
+<listitem><para>
588
+KDE_FORK_SLAVES -> TDE_FORK_SLAVES
589
+</para></listitem>
590
+<listitem><para>
591
+KDE_FULL_SESSION -> TDE_FULL_SESSION
592
+</para></listitem>
593
+<listitem><para>
594
+KDE_KIOSK_NO_PROFILES -> TDE_KIOSK_NO_PROFILES
595
+</para></listitem>
596
+<listitem><para>
597
+KDE_KIOSK_NO_RESTRICTIONS -> TDE_KIOSK_NO_RESTRICTIONS
598
+</para></listitem>
599
+<listitem><para>
600
+KDE_LANG -> TDE_LANG
601
+</para></listitem>
602
+<listitem><para>
603
+KDE_MAKE_VERSION -> TDE_MAKE_VERSION
604
+</para></listitem>
605
+<listitem><para>
606
+KDE_MALLOC -> TDE_MALLOC
607
+</para></listitem>
608
+<listitem><para>
609
+KDE_MULTIHEAD -> TDE_MULTIHEAD
610
+</para></listitem>
611
+<listitem><para>
612
+KDE_NO_IPV6 -> TDE_NO_IPV6
613
+</para></listitem>
614
+<listitem><para>
615
+KDE_SESSION_UID -> TDE_SESSION_UID
616
+</para></listitem>
617
+<listitem><para>
618
+KDE_UTF8_FILENAMES -> TDE_UTF8_FILENAMES
619
+</para></listitem>
620
+<listitem><para>
621
+KDE_VERSION -> TDE_VERSION
622
+</para></listitem>
623
+
624
+</itemizedlist>
625
+
626
+</chapter>
627
+
628
+<chapter id="current-release-notes-class-and-library-renaming">
629
+<title>Class and Library Renaming</title>
630
+
631
+<itemizedlist>
632
+
633
+<listitem><para>
634
+KABC -> TDEABC
635
+</para></listitem>
636
+<listitem><para>
637
+KAbout -> TDEAbout
638
+</para></listitem>
639
+<listitem><para>
640
+KAboutData -> TDEAboutData
641
+</para></listitem>
642
+<listitem><para>
643
+KApplication -> TDEApplication
644
+</para></listitem>
645
+<listitem><para>
646
+KBuffer -> TDEBuffer
647
+</para></listitem>
648
+<listitem><para>
649
+KClipboard -> TDEClipboard
650
+</para></listitem>
651
+<listitem><para>
652
+KCModule -> TDECModule
653
+</para></listitem>
654
+<listitem><para>
655
+KComp -> TDEComp
656
+</para></listitem>
657
+<listitem><para>
658
+KConfig -> TDEConfig
659
+</para></listitem>
660
+<listitem><para>
661
+KCmd -> TDECmd
662
+</para></listitem>
663
+<listitem><para>
664
+KCmdLineArgs -> TDECmdLineArgs
665
+</para></listitem>
666
+<listitem><para>
667
+KGlobal -> TDEGlobal
668
+</para></listitem>
669
+<listitem><para>
670
+KIcon -> TDEIcon
671
+</para></listitem>
672
+<listitem><para>
673
+KInstance -> TDEInstance
674
+</para></listitem>
675
+<listitem><para>
676
+KIO -> TDEIO
677
+</para></listitem>
678
+<listitem><para>
679
+KIO_EXPORT -> TDEIO_EXPORT
680
+</para></listitem>
681
+<listitem><para>
682
+KIOBuffer -> TDEIOBuffer
683
+</para></listitem>
684
+<listitem><para>
685
+KIOConfig -> TDEIOConfig
686
+</para></listitem>
687
+<listitem><para>
688
+KIOInput -> TDEIOInput
689
+</para></listitem>
690
+<listitem><para>
691
+KIOJob -> TDEIOJob
692
+</para></listitem>
693
+<listitem><para>
694
+KListBox -> TDEListBox
695
+</para></listitem>
696
+<listitem><para>
697
+KListView -> TDEListView
698
+</para></listitem>
699
+<listitem><para>
700
+KListViewItem -> TDEListViewItem
701
+</para></listitem>
702
+<listitem><para>
703
+KLocale -> TDELocale
704
+</para></listitem>
705
+<listitem><para>
706
+KLock -> TDELock
707
+</para></listitem>
708
+<listitem><para>
709
+KPopupMenu -> TDEPopupMenu
710
+</para></listitem>
711
+<listitem><para>
712
+KProcess -> TDEProcess
713
+</para></listitem>
714
+<listitem><para>
715
+KServer -> TDEServer
716
+</para></listitem>
717
+<listitem><para>
718
+KShared -> TDEShared
719
+</para></listitem>
720
+<listitem><para>
721
+KSocket -> TDESocket
722
+</para></listitem>
723
+<listitem><para>
724
+KStandardDirs -> TDEStandardDirs
725
+</para></listitem>
726
+<listitem><para>
727
+KStartupInfo -> TDEStartupInfo
728
+</para></listitem>
729
+<listitem><para>
730
+KStyle -> TDEStyle
731
+</para></listitem>
732
+<listitem><para>
733
+KTrader -> TDETrader
734
+</para></listitem>
735
+<listitem><para>
736
+KZone -> TDEZone
737
+</para></listitem>
738
+<listitem><para>
739
+kdefx -> tdefx
740
+</para></listitem>
741
+<listitem><para>
742
+kdeinit -> tdeinit
743
+</para></listitem>
744
+<listitem><para>
745
+kiobuffer -> tdeiobuffer
746
+</para></listitem>
747
+<listitem><para>
748
+kioslave -> tdeioslave
749
+</para></listitem>
750
+<listitem><para>
751
+kwin -> twin
752
+</para></listitem>
753
+<listitem><para>
754
+libkdecorations -> libtdecorations
755
+</para></listitem>
756
+<listitem><para>
757
+libkdecore -> libtdecore
758
+</para></listitem>
759
+<listitem><para>
760
+libkdefakes -> libtdefakes
761
+</para></listitem>
762
+<listitem><para>
763
+libkdepim -> libtdepim
764
+</para></listitem>
765
+<listitem><para>
766
+libkdeprint -> libtdeprint
767
+</para></listitem>
768
+<listitem><para>
769
+libkdesu -> libtdesu
770
+</para></listitem>
771
+<listitem><para>
772
+libkdeui -> libtdeui
773
+</para></listitem>
774
+<listitem><para>
775
+lkabc -> ltdeabc
776
+</para></listitem>
777
+<listitem><para>
778
+lkdnssd -> ltdednssd
779
+</para></listitem>
780
+<listitem><para>
781
+lkfile -> ltdefile
782
+</para></listitem>
783
+<listitem><para>
784
+lkhtml -> ltdehtml
785
+</para></listitem>
786
+<listitem><para>
787
+lkio -> ltdeio
788
+</para></listitem>
789
+<listitem><para>
790
+lkimproxy -> ltdeimproxy
791
+</para></listitem>
792
+<listitem><para>
793
+libkio -> libtdeio
794
+</para></listitem>
795
+<listitem><para>
796
+lknewstuff -> ltdenewstuff
797
+</para></listitem>
798
+<listitem><para>
799
+lkparts -> ltdeparts
800
+</para></listitem>
801
+<listitem><para>
802
+lkspell -> ltdespell
803
+</para></listitem>
804
+<listitem><para>
805
+lkunittest -> ltdeunittest
806
+</para></listitem>
807
+<listitem><para>
808
+lkutils -> ltdeutils
809
+</para></listitem>
810
+<listitem><para>
811
+makekdewidgets -> maketdewidgets
812
+</para></listitem>
813
+
814
+</itemizedlist>
815
+
816
+</chapter>
817
+
818
+<chapter id="current-release-notes-thank-you">
819
+<title>Thank You!</title>
820
+
821
+<para>Thank you for using and supporting &tde;.</para>
822
+
823
+</chapter>
824
+
825
+</book>
826
+
827
+<!--
828
+Local Variables:
829
+mode: sgml
830
+sgml-omittag: nil
831
+sgml-shorttag: t
832
+End:
833
+-->
834
+

+ 9
- 0
doc/releasenotes/release_notes.desktop View File

@@ -0,0 +1,9 @@
1
+[Desktop Entry]
2
+Encoding=UTF-8
3
+Name=release_notes
4
+Exec=release_notes
5
+Type=Application
6
+X-TDE-autostart-phase=2
7
+X-TDE-StartupNotify=false
8
+X-TDE-UniqueApplet=true
9
+Categories=System;

+ 35
- 0
release_notes View File

@@ -0,0 +1,35 @@
1
+#!/bin/sh
2
+#
3
+# A script to open/autostart the release notes in the help
4
+# handbook, but only once.
5
+
6
+# Run this script from the global autostart directory.
7
+
8
+# When the release version increments, this script will detect the
9
+# difference through tde-config and a respective key in kdeglobals.
10
+# This script then will open the release notes for that next release.
11
+# The only file to update is: tdebase/doc/releasenotes/release_notes.docbook.
12
+
13
+# As this script is run as a global TDE autostart app, all
14
+# environment variables should already be set.
15
+
16
+if [ "$TDEDIR" = "" ] || [ "$TDEHOME" = "" ]; then
17
+  exit 1
18
+fi
19
+
20
+RELEASE_VERSION=`$TDEDIR/bin/tde-config --version | grep TDE: | awk '{print $2}'`
21
+RELEASE_NOTES=`$TDEDIR/bin/kreadconfig --file $TDEHOME/share/config/kdeglobals --group "Release Notes" --key "$RELEASE_VERSION"`
22
+if [ "$RELEASE_NOTES" = "" ] || [ "$RELEASE_NOTES" != "true" ]; then
23
+  echo "[release_notes] Release version: $RELEASE_VERSION"
24
+  echo "[release_notes] Release notes: $RELEASE_NOTES"
25
+  $TDEDIR/bin/khelpcenter help:/khelpcenter/releasenotes
26
+  if [ "$?" = "0" ]; then
27
+    $TDEDIR/bin/kwriteconfig --file $TDEHOME/share/config/kdeglobals --group "Release Notes" --key "$RELEASE_VERSION" --type bool "true"
28
+  fi
29
+  RELEASE_NOTES=`$TDEDIR/bin/kreadconfig --file $TDEHOME/share/config/kdeglobals --group "Release Notes" --key "$RELEASE_VERSION"`
30
+  echo "[release_notes] Release notes: $RELEASE_NOTES"
31
+fi
32
+
33
+unset RELEASE_NOTES
34
+unset RELEASE_VERSION
35
+exit 0

Loading…
Cancel
Save